%define	basefontdir	%{_datadir}/fonts/opendesktop
%define	ttfontdir	%{basefontdir}/TrueType
%define cidmapdir   %{_sysconfdir}/ghostscript

Summary:    OpenDesktop.Org.tw Font -- Simplified and Traditional Chinese and Japanese Ming and Kai Face.
Name:		opendesktop-fonts
Version:	1.4.2
Release:	3
License:	Arphic Public License (GPL-like)
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:		%{name}-%{version}.tar.gz

Requires(post,postun): ttmkfdir >= 3.0.6
Requires(post,postun): fontconfig
Obsoletes:	ttfonts-zh_CN ttfonts-zh_TW ttf-moe_sung ttf-moe_kai ttf-arphic_bming ttf-arphic_bkai fonts-chinese ttfonts-chinese-newsung

%description
Chinese and Japanese TTF Fonts donated by Arphic company. Read license files for details.

%prep
%setup -q 

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{ttfontdir}

install -m 644 odosung.ttc $RPM_BUILD_ROOT%{ttfontdir}
install -m 644 odosung-ExtB.ttf $RPM_BUILD_ROOT%{ttfontdir}
install -m 644 odokai.ttf $RPM_BUILD_ROOT%{ttfontdir}
install -m 644 odokai-ExtB.ttf $RPM_BUILD_ROOT%{ttfontdir}

install -d $RPM_BUILD_ROOT/etc/fonts/conf.avail
install -m 644 69-odofonts.conf $RPM_BUILD_ROOT/etc/fonts/conf.avail
install -m 644 80-odofonts-original.conf $RPM_BUILD_ROOT/etc/fonts/conf.avail
install -m 644 80-odofonts-simulate-MS-simplified-chinese.conf $RPM_BUILD_ROOT/etc/fonts/conf.avail
install -m 644 80-odofonts-simulate-MS-triditional-chinese.conf $RPM_BUILD_ROOT/etc/fonts/conf.avail

install -d $RPM_BUILD_ROOT/etc/fonts/conf.d
pushd $RPM_BUILD_ROOT/etc/fonts/conf.d
ln -fs ../conf.avail/69-odofonts.conf ./
ln -fs ../conf.avail/80-odofonts-original.conf ./
popd

# for ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 FAPIcidfmap.zh_TW $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 FAPIcidfmap.zh_CN $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 cidfmap.zh_TW $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 cidfmap.zh_CN $RPM_BUILD_ROOT%{cidmapdir}/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
	umask 133
	touch %{ttfontdir} 2> /dev/null && {
		ttmkfdir -d %{ttfontdir} -o %{ttfontdir}/fonts.scale
		mkfontdir %{ttfontdir}
		chkfontpath -q -a %{ttfontdir}
	}

	#Update fontconfig cache
	[  -x /usr/bin/fc-cache ] && /usr/bin/fc-cache -f 2> /dev/null
}

%postun
if [ "$1" = 0 ];
then
    umask 133
    chkfontpath -q -r %{ttfontdir}

    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache -f 2> /dev/null
fi

%files
%defattr(-, root, root)
%doc Changelog Changelog.zh_TW AUTHORS COPYRIGHT license
%dir %{basefontdir}
%dir %{ttfontdir}
%config %{_sysconfdir}/fonts/conf.avail/*.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%{ttfontdir}/*.ttc
%{ttfontdir}/*.ttf
%dir %{cidmapdir}
%{cidmapdir}/cidfmap.*
%{cidmapdir}/FAPIcidfmap.*

%changelog
